Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyFilter::FilterAdmin Interface Reference

Interface used to modify the Filters attached to a Notification Service component. More...

`import "CosNotifyFilter.idl";`

Inheritance diagram for CosNotifyFilter::FilterAdmin:

[legend]
List of all members.

## Public Methods
FilterID | add_filter (in Filter new_filter)
| Add a filter. More...
void | remove_filter (in FilterID filter) raises ( FilterNotFound )
| Remove a filter. More...
Filter | get_filter (in FilterID filter) raises ( FilterNotFound )
| Get a filter. More...
FilterIDSeq | get_all_filters ()
| Get the IDs of all the filters. More...
void | remove_all_filters ()
| Remove all the filters from this component. More...

## Detailed Description

Interface used to modify the Filters attached to a Notification Service component.

## Member Function Documentation

FilterID CosNotifyFilter::FilterAdmin::add_filter | ( | in Filter | new_filter | ) |

  | Add a filter. Parameters:
  new_filter | Filter to be added
Returns: The ID assigned to the new filter

FilterIDSeq CosNotifyFilter::FilterAdmin::get_all_filters | ( |  | ) |

| Get the IDs of all the filters. Returns: The list of all filter IDs in this component

Filter CosNotifyFilter::FilterAdmin::get_filter | ( | in FilterID | filter | ) | raises ( FilterNotFound )

  | Get a filter. Parameters:
  filter | ID of the filter returned
  Returns: The filter Exceptions:
  FilterNotFound | if the filter ID is not found in this FilterAdmin

void CosNotifyFilter::FilterAdmin::remove_all_filters | ( |  | ) |

| Remove all the filters from this component.

void CosNotifyFilter::FilterAdmin::remove_filter | ( | in FilterID | filter | ) | raises ( FilterNotFound )

  | Remove a filter. Parameters:
  filter | ID of the filter to be removed
  Exceptions:
  FilterNotFound | if the filter ID is not found in this FilterAdmin

The documentation for this interface was generated from the following file:

- CosNotifyFilter.idl